clc
clear
close all

%Normalised frequency
wn=2*pi/512;
A=1;

Nlim=1024;
r=zeros(1,Nlim);
for N=1:Nlim
    r(N)=rms(A*sin(wn*[0:N]));
end

Delta=(r-A/sqrt(2));
delta=100*Delta/(A/sqrt(2));
n=1:Nlim;
figure();set(gcf,'position',[10,10,800,600]);

% yyaxis('left');
% plot(n,Delta)
% ylabel('Absolutní odchylka [-]');

% yyaxis('right');
ax=plot(n,delta);
ylabel('Relativní odchylka [%]');

title('Chyba výpočtu RMS sekvence konečné délky');
xlabel('Délka sekvence [-]')

xticks([1 128:128:1024])
xlim([1 1024]);
box on
grid on
datacursormode on
index=find(abs(delta)==max(abs(delta(512:end))));
d=datatip(ax,index,delta(index));
d.Location='southwest';